# Exercise Symmetric CPP

# DATA
set OddVert;
param c {OddVert,OddVert};

# VARIABLES
var x {OddVert,OddVert} >=0;

# CONSTRAINTS
subject to Matching {i in OddVert}:
  sum {j in OddVert: j<>i} (x[i,j]+x[j,i]) = 1;
  
# OBJECTIVE
minimize z: sum {i in OddVert, j in OddVert} c[i,j]*x[i,j];

##################
data;
set OddVert := 0 2 4 5;

param c:	0	2	4	5 :=
0			999	 28	 26	 23
2			 28	999	 43	 51
4			 26	 43	999	 25
5			 23	 51	 25	999;

end;
